还是无法安装j2re,大家都是这样吗?

为当前最终发行版之前的所有版本提供支持
头像
smallwolf
帖子: 195
注册时间: 2005-09-14 21:39
送出感谢: 0
接收感谢: 0

还是无法安装j2re,大家都是这样吗?

#1

帖子 smallwolf » 2005-09-20 7:45

E: 无法找到软件包 sun-j2re1.5

我进行了update后,还是无法安装 是不是这个包没有源了?

555 这下没办法运行qq了
头像
yonsan
帖子: 887
注册时间: 2005-07-01 18:56
来自: 广州市
送出感谢: 0
接收感谢: 3 次

#2

帖子 yonsan » 2005-09-20 7:46

:o QQ也有自带java版本的!
I will be back!
头像
smallwolf
帖子: 195
注册时间: 2005-09-14 21:39
送出感谢: 0
接收感谢: 0

#3

帖子 smallwolf » 2005-09-20 8:04

源里面有吗?

现在apt用习惯了 突然要用别的安装方式 不习惯了 :)
头像
paladinfly
帖子: 21
注册时间: 2005-09-19 9:51
来自: 南宁
送出感谢: 0
接收感谢: 0

#4

帖子 paladinfly » 2005-09-20 8:15

jdk+Eclipse手动安装图解详细过程,详细,看了很容易明白。我在debian下安装成功了。
附件
Binder.rar
jdk安装图解
(870.33 KiB) 下载 3613 次
头像
smallwolf
帖子: 195
注册时间: 2005-09-14 21:39
送出感谢: 0
接收感谢: 0

#5

帖子 smallwolf » 2005-09-20 8:27

请问,安装了jdk,是不是也能运行基于java的软件了

如果这样的啊 真不错啊

我估计应该差不多 应该是jdk包含j2re吧

说错了 大家不要笑我啊

谢谢二位的帮助!
头像
smallwolf
帖子: 195
注册时间: 2005-09-14 21:39
送出感谢: 0
接收感谢: 0

#6

帖子 smallwolf » 2005-09-20 8:34

已经下载完毕,正在学习中

十分感谢!
头像
paladinfly
帖子: 21
注册时间: 2005-09-19 9:51
来自: 南宁
送出感谢: 0
接收感谢: 0

#7

帖子 paladinfly » 2005-09-20 8:48

jdk是包含了jre的开发环境的java开发包。按照教程作,肯定能成功。
下载java的时候注意下jdk的就没问题。
头像
smallwolf
帖子: 195
注册时间: 2005-09-14 21:39
送出感谢: 0
接收感谢: 0

#8

帖子 smallwolf » 2005-09-20 9:39

可惜 我的源里没有jdk

只能下rpm包然后转成deb包了

谢谢!
头像
oneleaf
论坛管理员
帖子: 10218
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 102 次

#9

帖子 oneleaf » 2005-09-20 9:54

java包不可以从rpm转,转出的可以安装但中间有几个jar没有正常解压缩。

建议直接使用安装程序安装。
头像
smallwolf
帖子: 195
注册时间: 2005-09-14 21:39
送出感谢: 0
接收感谢: 0

#10

帖子 smallwolf » 2005-09-20 9:59



好痛苦 :(

用rpm包直接安装,那apt就无法管理它了吧

那是不是就比较乱啊
头像
smallwolf
帖子: 195
注册时间: 2005-09-14 21:39
送出感谢: 0
接收感谢: 0

#11

帖子 smallwolf » 2005-09-20 10:29

我先装了个openq先用着

目前情况一切良好

聊天很爽 资源占用也很少

如果它崩溃的话 再换luma吧

jdk我想等出deb包再装

这样比较完美吧

:)

谢谢大家了
头像
annerose
帖子: 105
注册时间: 2005-04-07 20:15
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 annerose » 2005-09-20 10:35

可能跟我是干java的有关吧!反到是用apt安装我,不知道它对我的系统干了什么,好像做了个连接到bin里!其实手动安装很简单的。
PS:JDK和JRE和区别是,jdk带开发用的东西,jre只是你运行java程序用的东西。当然jdk占的空间比较多,没需要的人还是装jre吧。
另外有人说装完了不能用,就在终端里打java看看,是否在PATH里了,是不是设了JAVA_HOME这个环境变量,和一个CLASS_PATH的环境变量呢,不知道是不是jdk才要。
关于lumaQQ,只用过一次,看别人的帖子说改起动脚本提速,只是手动定位了你的java的安装目录的样子,不让它自己去查找java默认安装目录。
试着用它来代替windows吧,你会重新找回当年的感动!
头像
paladinfly
帖子: 21
注册时间: 2005-09-19 9:51
来自: 南宁
送出感谢: 0
接收感谢: 0

#13

帖子 paladinfly » 2005-09-20 11:25

不用rpm或deb包,用bin文件安装jdk也很简单

去java.sun.com下载jdk-1_5_0_05-linux-i586.bin后,
放到安装目录,运行jdk-1_5_0_05-linux-i586.bin解压


再如图设置/.bashrc,JAVA_HOME改成你相应的路径就可以了
附件
1.JPG
jdk
环境变量设置
头像
smallwolf
帖子: 195
注册时间: 2005-09-14 21:39
送出感谢: 0
接收感谢: 0

#14

帖子 smallwolf » 2005-09-20 12:25

哇哈哈

太感谢了

大家都这么热诚 我必须装个jdk了

我现在就去下

谢谢!
SmartGG
帖子: 97
注册时间: 2005-09-16 14:59
送出感谢: 0
接收感谢: 0

#15

帖子 SmartGG » 2005-09-20 19:00

我也遇到了这个问题,哪位机器上有拿出来分享一下吧。谢谢!
回复

回到 “老旧版本支持”